org.jfree.chart.axis

## Class CategoryAnchor

- java.lang.Object
- - org.jfree.chart.axis.CategoryAnchor

All Implemented Interfaces:
  java.io.Serializable

    public final class CategoryAnchor
    extends java.lang.Object
    implements java.io.Serializable

Used to indicate one of three positions within a category: `START`, `MIDDLE` and `END`.

See Also:
  Serialized Form

### Field Summary

Fields
`static CategoryAnchor` `END` End of period.
`static CategoryAnchor` `MIDDLE` Middle of period.
`static CategoryAnchor` `START` Start of period.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### START

    public static final CategoryAnchor START

Start of period.

#### MIDDLE

    public static final CategoryAnchor MIDDLE

Middle of period.

#### END

    public static final CategoryAnchor END

End of period.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object.
Returns:
  A boolean.